## org.apache.lucene.search
Interface SortComparatorSource

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  SortComparator

    public interface SortComparatorSource

extends Serializable

Expert: returns a comparator for sorting ScoreDocs.

Created: Apr 21, 2004 3:49:28 PM

Since:
  1.4
Version:
  $Id: SortComparatorSource.java 564236 2007-08-09 15:21:19Z gsingers $

Method Summary
`ScoreDocComparator` `newComparator(IndexReader reader, String fieldname)` Creates a comparator for the field in the given index.

Method Detail

### newComparator

    ScoreDocComparator newComparator(IndexReader reader,
                                     String fieldname)
                                     throws IOException

  Creates a comparator for the field in the given index.

  Parameters:
    `reader` - Index to create comparator for.
    `fieldname` - Name of the field to create comparator for.
  Returns:
    Comparator of ScoreDoc objects.
  Throws:
    `IOException` - If an error occurs reading the index.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.